Skip to main content

Get a MySQL user

GET/v2/mysql-users/{mysqlUserId}/
API version
v2
Request method
GET
Operation ID
database-get-mysql-user

Request

  • mysqlUserIdstring
    required

    ID of the MySQLUser to be retrieved.

Responses

Format
application/json
Description

OK

  • accessLevelstring (one of: full, readonly)
    required

    The access level that this MySQLUser should have for the database. The full access level grants the user read/write privileges on the database.

  • createdAtstring (date-time)
    required
  • databaseIdstring (uuid)
    required
  • descriptionstring
  • disabledboolean
    required
  • externalAccessboolean
    required

    Describes if users should be able to connection to this database from external sources. Defaults to false when not set.

    To find out how to connect to your database from external sources, refer to the externalHostname field of the GET /v2/mysql-databases/{id} endpoint.

  • idstring (uuid)
    required
  • mainUserboolean
    required

    Indicates whether this MySQL user is the main user of the database. The main user is created by default when a new MySQL database is provisioned. It can neither be deleted nor disabled, but its password can be updated.

  • namestring
    required

    The name of the MySQL user. This can be used as the username when connecting to the database.

  • passwordUpdatedAtstring (date-time)
    required
  • statusstring (one of: pending, ready, error, terminating, disabled)
    required
  • statusSetAtstring (date-time)
    required
  • updatedAtstring (date-time)
    required

Usage examples

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/mysql-users/string